//#region src/is/isArray.ts
/**
* 判断是否是数组
*/
const isArray = Array.isArray;

//#endregion
//#region src/is/isStr.ts
/**
* 判断是否是字符串类型
*/
function isStr(o) {
	return typeof o === "string";
}

//#endregion
//#region src/is/isNull.ts
/**
* 判断是否是null
*/
function isNull(o) {
	return o === null;
}

//#endregion
//#region src/is/isBool.ts
/**
* 判断是否是boolean类型
* @param value
* @returns
*/
function isBool(value) {
	return typeof value === "boolean";
}

//#endregion
export { isArray as isArray$1, isBool as isBool$1, isNull as isNull$1, isStr as isStr$1 };