"use strict";
const require_chunk = require('./chunk-BCwAaXi7.cjs');
const require_parallel = require('./parallel-BSxIacyY.cjs');
const node_process = require_chunk.__toESM(require("node:process"));
const node_path = require_chunk.__toESM(require("node:path"));

//#region src/to/toAbsolutePath.ts
/**
*
* @param { string } url 路径
* @returns 绝对路径
*/
function toAbsolutePath(url) {
	return require_parallel.isAbsolute(url) ? url : node_path.default.resolve(node_process.default.cwd(), url);
}

//#endregion
Object.defineProperty(exports, 'toAbsolutePath', {
  enumerable: true,
  get: function () {
    return toAbsolutePath;
  }
});